Index: inc/dbschema/upgrade.php
===================================================================
--- inc/dbschema/upgrade.php	(revision 3314)
+++ inc/dbschema/upgrade.php	(revision 3373)
@@ -540,5 +540,5 @@
 		}
 
-		if (version_compare($version,'2.10','<='))
+		if (version_compare($version,'2.10','<'))
 		{
 			@unlink(DC_ROOT.'/'.'admin/js/jsUpload/vendor/jquery.ui.widget.js');
@@ -590,4 +590,44 @@
 		}
 
+		if (version_compare($version,'2.11','<'))
+		{
+			// Remove the CSP report file from it's old place
+			@unlink(DC_ROOT.'/admin/csp_report.txt');
+
+			# Some new settings should be initialized, prepare db queries
+			$strReq = 'INSERT INTO '.$core->prefix.'setting'.
+					' (setting_id,setting_ns,setting_value,setting_type,setting_label)'.
+					' VALUES(\'%s\',\'system\',\'%s\',\'%s\',\'%s\')';
+			$core->con->execute(
+				sprintf($strReq,'csp_admin_report_only',false,'boolean','CSP Report only violations (admin)'));
+
+			# A bit of housecleaning for no longer needed files
+			$remfiles = array (
+				'admin/js/jquery/jquery.modal.js',
+				'admin/style/modal/close.png',
+				'admin/style/modal/loader.gif',
+				'admin/style/modal/modal.css',
+				'admin/js/dragsort-tablerows.js',
+				'admin/js/tool-man/cookies.js',
+				'admin/js/tool-man/coordinates.js',
+				'admin/js/tool-man/core.js',
+				'admin/js/tool-man/css.js',
+				'admin/js/tool-man/drag.js',
+				'admin/js/tool-man/dragsort.js',
+				'admin/js/tool-man/events.js'
+			);
+			$remfolders = array (
+				'admin/style/modal',
+				'admin/js/tool-man',
+			);
+
+			foreach ($remfiles as $f) {
+				@unlink(DC_ROOT.'/'.$f);
+			}
+			foreach ($remfolders as $f) {
+				@rmdir(DC_ROOT.'/'.$f);
+			}
+		}
+
 		$core->setVersion('core',DC_VERSION);
 		$core->blogDefaults();
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 3378)
+++ inc/prepend.php	(revision 3380)
@@ -142,5 +142,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.10.3');
+define('DC_VERSION','2.11-dev');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');
Index: inc/public/class.dc.template.php
===================================================================
--- inc/public/class.dc.template.php	(revision 3259)
+++ inc/public/class.dc.template.php	(revision 3366)
@@ -1267,4 +1267,5 @@
 	type	CDATA	#IMPLIED	-- post has a given type (default: "post")
 	category	CDATA	#IMPLIED	-- post has a given category
+	categories	CDATA	#IMPLIED	-- post has a one of given categories
 	first	(0|1)	#IMPLIED	-- post is the first post from list (value : 1) or not (value : 0)
 	odd	(0|1)	#IMPLIED	-- post is in an odd position (value : 1) or not (value : 0)
@@ -1317,4 +1318,18 @@
 		}
 
+		if (isset($attr['categories'])) {
+			$categories = explode(',',addslashes(trim($attr['categories'])));
+			if (is_array($categories) && count($categories)) {
+				foreach ($categories as $category) {
+					if (substr($category,0,1) == '!') {
+						$category = substr($category,1);
+						$if[] = '($_ctx->posts->cat_url != "'.$category.'")';
+					} else {
+						$if[] = '($_ctx->posts->cat_url == "'.$category.'")';
+					}
+				}
+			}
+		}
+
 		if (isset($attr['first'])) {
 			$sign = (boolean) $attr['first'] ? '=' : '!';
Index: plugins/antispam/_admin.php
===================================================================
--- plugins/antispam/_admin.php	(revision 2849)
+++ plugins/antispam/_admin.php	(revision 3333)
@@ -91,5 +91,5 @@
 		$ttl = $settings->antispam->antispam_moderation_ttl;
 		echo
-		'<div class="fieldset"><h4>Antispam</h4>'.
+		'<div class="fieldset"><h4 id="antispam_params">Antispam</h4>'.
 		'<p><label for="antispam_moderation_ttl" class="classic">'.__('Delete junk comments older than').' '.
 		form::field('antispam_moderation_ttl', 3, 3, $ttl).
Index: plugins/antispam/_define.php
===================================================================
--- plugins/antispam/_define.php	(revision 2566)
+++ plugins/antispam/_define.php	(revision 3333)
@@ -19,5 +19,9 @@
 	array(
 		'permissions' =>	'usage,contentadmin',
-		'priority' =>		10
+		'priority' =>		10,
+		'settings'	=>		array(
+								'self' => '',
+								'blog' => '#params.antispam_params'
+							)
 	)
 );
Index: plugins/antispam/inc/class.dc.spamfilter.php
===================================================================
--- plugins/antispam/inc/class.dc.spamfilter.php	(revision 2831)
+++ plugins/antispam/inc/class.dc.spamfilter.php	(revision 3375)
@@ -40,5 +40,5 @@
 		}
 
-        $this->gui_url = 'plugin.php?p=antispam&f='.get_class($this);
+        $this->gui_url = $core->adminurl->get('admin.plugin.antispam',array('f' => get_class($this)),'&');
 	}
 
Index: plugins/blowupConfig/index.php
===================================================================
--- plugins/blowupConfig/index.php	(revision 2849)
+++ plugins/blowupConfig/index.php	(revision 3340)
@@ -318,5 +318,5 @@
 	'<h5 class="pretty-title">'.__('Top image').'</h5>'.
 	'<p class="field"><label for="top_image">'.__('Top image').'</label> '.
-	form::combo('top_image',$top_images,($blowup_user['top_image'] ? $blowup_user['top_image'] : 'default')).'</p>'.
+	form::combo('top_image',$top_images,($blowup_user['top_image'] ?: 'default')).'</p>'.
 	'<p>'.__('Choose "Custom..." to upload your own image.').'</p>'.
 
Index: plugins/breadcrumb/_admin.php
===================================================================
--- plugins/breadcrumb/_admin.php	(revision 3009)
+++ plugins/breadcrumb/_admin.php	(revision 3333)
@@ -25,5 +25,5 @@
 		$settings->addNameSpace('breadcrumb');
 		echo
-		'<div class="fieldset"><h4>'.__('Breadcrumb').'</h4>'.
+		'<div class="fieldset"><h4 id="breadcrumb_params">'.__('Breadcrumb').'</h4>'.
 		'<p><label class="classic">'.
 		form::checkbox('breadcrumb_enabled','1',$settings->breadcrumb->breadcrumb_enabled).
Index: plugins/breadcrumb/_define.php
===================================================================
--- plugins/breadcrumb/_define.php	(revision 3085)
+++ plugins/breadcrumb/_define.php	(revision 3333)
@@ -20,5 +20,8 @@
 	array(
 		/* Permissions */	'permissions' =>	'usage,contentadmin',
-		/* Type */			'type' =>			'plugin'
+		/* Type */			'type' =>			'plugin',
+		'settings'	=>		array(
+								'blog' => '#params.breadcrumb_params'
+							)
 	)
 );
Index: plugins/dcCKEditor/_define.php
===================================================================
--- plugins/dcCKEditor/_define.php	(revision 3090)
+++ plugins/dcCKEditor/_define.php	(revision 3333)
@@ -19,5 +19,9 @@
 	array(
 		'permissions' =>	'usage,contentadmin',
-		'type'		=>		'plugin'
+		'type'		=>		'plugin',
+		'settings'	=>		array(
+								'self' => '',
+								'pref' => '#user-options.user_options_edition'
+							)
 	)
 );
Index: plugins/dcCKEditor/_post_config.php
===================================================================
--- plugins/dcCKEditor/_post_config.php	(revision 3090)
+++ plugins/dcCKEditor/_post_config.php	(revision 3367)
@@ -12,5 +12,7 @@
 
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
+
 header('Content-type: text/javascript');
+
 if (!empty($_GET['context'])) {
 	$context = $_GET['context'];
@@ -18,8 +20,11 @@
 	$context = '';
 }
+
 $__extraPlugins = new ArrayObject();
 $core->callBehavior('ckeditorExtraPlugins',$__extraPlugins,$context);
 $extraPlugins = $__extraPlugins->getArrayCopy();
-?>
+
+?>
+
 (function($) {
 	$.toolbarPopup = function toolbarPopup(url) {
@@ -59,5 +64,5 @@
 		return $.active_editor;
 	}
-	chainHandler(window, 'onbeforeunload', function(e) {
+	chainHandler(window,'onbeforeunload',function(e) {
 		if (e == undefined && window.event) {
 			e = window.event;
@@ -65,5 +70,5 @@
 
 		var editor = CKEDITOR.instances[$.getEditorName()];
-		if (editor!==undefined && !confirmClosePage.formSubmit && editor.checkDirty()) {
+		if (editor !== undefined && !confirmClosePage.formSubmit && editor.checkDirty()) {
 			e.returnValue = confirmClosePage.prompt;
 			return confirmClosePage.prompt;
@@ -79,16 +84,18 @@
 
 	CKEDITOR.timestamp = '';
-<?php if (!isset($dcckeditor_disable_native_spellchecker) || $dcckeditor_disable_native_spellchecker):?>
+
+<?php if (!isset($dcckeditor_disable_native_spellchecker) || $dcckeditor_disable_native_spellchecker): ?>
 	CKEDITOR.config.disableNativeSpellChecker = true;
-<?php else:?>
+<?php else: ?>
 	CKEDITOR.config.disableNativeSpellChecker = false;
-<?php endif;?>
+<?php endif; ?>
+
 	CKEDITOR.config.skin = 'dotclear,'+dotclear.dcckeditor_plugin_url+'/js/ckeditor-skins/dotclear/';
 	CKEDITOR.config.baseHref = dotclear.base_url;
-	CKEDITOR.config.height = '<?php echo $core->auth->getOption('edit_size') * 14;?>px';
-
-<?php if (!empty($dcckeditor_cancollapse_button)):?>
+	CKEDITOR.config.height = '<?php echo $core->auth->getOption('edit_size') * 14; ?>px';
+
+<?php if (!empty($dcckeditor_cancollapse_button)): ?>
 	CKEDITOR.config.toolbarCanCollapse = true;
-<?php endif;?>
+<?php endif; ?>
 
 	CKEDITOR.plugins.addExternal('entrylink',dotclear.dcckeditor_plugin_url+'/js/ckeditor-plugins/entrylink/');
@@ -96,36 +103,48 @@
 	CKEDITOR.plugins.addExternal('media',dotclear.dcckeditor_plugin_url+'/js/ckeditor-plugins/media/');
 	CKEDITOR.plugins.addExternal('img',dotclear.dcckeditor_plugin_url+'/js/ckeditor-plugins/img/');
-	<?php if (!empty($dcckeditor_textcolor_button) || !empty($dcckeditor_background_textcolor_button)):?>
+
+<?php if (!empty($dcckeditor_textcolor_button) || !empty($dcckeditor_background_textcolor_button)): ?>
 	// button add "More Colors..." can be added if colordialog plugin is enabled
 	CKEDITOR.config.colorButton_enableMore = true;
-	<?php endif;?>
-
-<?php if (!empty($extraPlugins) && count($extraPlugins)>0) {
-	foreach ($extraPlugins as $plugin) {
-		printf("\tCKEDITOR.plugins.addExternal('%s','%s');\n", $plugin['name'], $plugin['url']);
-	}
-}
-?>
-	if (dotclear.ckeditor_context===undefined || dotclear.ckeditor_tags_context[dotclear.ckeditor_context]===undefined) {
+<?php endif; ?>
+
+<?php
+	if (!empty($extraPlugins) && count($extraPlugins) > 0) {
+		foreach ($extraPlugins as $plugin) {
+			printf("\tCKEDITOR.plugins.addExternal('%s','%s');\n",$plugin['name'],$plugin['url']);
+		}
+	}
+?>
+	if (dotclear.ckeditor_context === undefined || dotclear.ckeditor_tags_context[dotclear.ckeditor_context] === undefined) {
 		return;
 	}
 	$(dotclear.ckeditor_tags_context[dotclear.ckeditor_context].join(',')).ckeditor({
+
 <?php
-$defautExtraPlugins = 'entrylink,dclink,media,justify,colorbutton,format,img';
-if (!empty($extraPlugins) && count($extraPlugins)>0) {
-	foreach ($extraPlugins as $plugin) {
-		$defautExtraPlugins .= ','. $plugin['name'];
-	}
-}
-?>
-		extraPlugins: '<?php echo $defautExtraPlugins;?>',
-
-		<?php if (!empty($dcckeditor_format_select)):?>
+	$defautExtraPlugins = 'entrylink,dclink,media,justify,colorbutton,format,img';
+	if (!empty($extraPlugins) && count($extraPlugins)>0) {
+		foreach ($extraPlugins as $plugin) {
+			$defautExtraPlugins .= ','. $plugin['name'];
+		}
+	}
+?>
+		extraPlugins: '<?php echo $defautExtraPlugins; ?>',
+
+		keystrokes: [
+			[ CKEDITOR.CTRL + (CKEDITOR.env.mac ? CKEDITOR.ALT : CKEDITOR.SHIFT) +
+				dotclear.msg.link_accesskey.toUpperCase().charCodeAt(0),'dcLinkCommand' ],    // Ctrl+Alt+l
+			[ CKEDITOR.CTRL + (CKEDITOR.env.mac ? CKEDITOR.ALT : CKEDITOR.SHIFT) +
+				dotclear.msg.img_select_accesskey.toUpperCase().charCodeAt(0),'mediaCommand' ],    // Ctrl+Alt+m
+		],
+
+<?php if (!empty($dcckeditor_format_select)): ?>
 		// format tags
-<?php if (!empty($dcckeditor_format_tags)):?>
-		format_tags: '<?php echo $dcckeditor_format_tags;?>',
-<?php else:?>
+
+	<?php if (!empty($dcckeditor_format_tags)): ?>
+		format_tags: '<?php echo $dcckeditor_format_tags; ?>',
+	<?php else: ?>
 		format_tags: 'p;h1;h2;h3;h4;h5;h6;pre;address',
-<?php endif;?>
+	<?php endif; ?>
+
 		// following definition are needed to be specialized
 		format_p: { element: 'p' },
@@ -138,5 +157,5 @@
 		format_pre: { element: 'pre' },
 		format_address: { element: 'address' },
-		<?php endif;?>
+<?php endif; ?>
 
 		entities: false,
@@ -147,33 +166,40 @@
 				name: 'basicstyles',
 				items: [
-<?php if (!empty($dcckeditor_format_select)):?>
+
+<?php if (!empty($dcckeditor_format_select)): ?>
 					'Format',
 <?php endif;?>
+
 					'Bold','Italic','Underline','Strike','Subscript','Superscript','Code','Blockquote',
 
-<?php if (!empty($dcckeditor_list_buttons)):?>
-					'NumberedList', 'BulletedList',
-<?php endif;?>
+<?php if (!empty($dcckeditor_list_buttons)): ?>
+					'NumberedList','BulletedList',
+<?php endif; ?>
+
 					'RemoveFormat'
 				]
 			},
-<?php if (!empty($dcckeditor_clipboard_buttons)):?>
+
+<?php if (!empty($dcckeditor_clipboard_buttons)): ?>
 			{
 				name: 'clipoard',
 				items: ['Cut','Copy','Paste','PasteText','PasteFromWord']
 			},
-<?php endif;?>
-<?php if (!empty($dcckeditor_alignment_buttons)):?>
+<?php endif; ?>
+
+<?php if (!empty($dcckeditor_alignment_buttons)): ?>
 			{
 				name: 'paragraph',
-				items: ['JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock']
-			},
-<?php endif;?>
-<?php if (!empty($dcckeditor_table_button)):?>
+				items: ['JustifyLeft','JustifyCenter','JustifyRight','JustifyBlock']
+			},
+<?php endif; ?>
+
+<?php if (!empty($dcckeditor_table_button)): ?>
 			{
 				name: 'table',
 				items: ['Table']
 			},
-<?php endif;?>
+<?php endif; ?>
+
 			{
 				name: 'custom',
@@ -181,10 +207,12 @@
 					'EntryLink','dcLink','Media','img','-',
 					'Source'
-<?php if (!empty($dcckeditor_textcolor_button)):?>
+
+<?php if (!empty($dcckeditor_textcolor_button)): ?>
 					,'TextColor'
-<?php endif;?>
-<?php if (!empty($dcckeditor_background_textcolor_button)):?>
+<?php endif; ?>
+
+<?php if (!empty($dcckeditor_background_textcolor_button)): ?>
 					,'BGColor'
-<?php endif;?>
+<?php endif; ?>
 				]
 			},
@@ -195,19 +223,37 @@
 				]
 			},
-			<?php // add extra buttons comming from dotclear plugins
-			if (!empty($extraPlugins) && count($extraPlugins)>0) {
-				$extraPlugins_str = "{name: 'extra', items: [%s]},\n";
-				$extra_icons = '';
-				foreach ($extraPlugins as $plugin) {
-					$extra_icons .= sprintf("'%s',", $plugin['button']);
-				}
-				printf($extraPlugins_str, $extra_icons);
+
+<?php // add extra buttons comming from dotclear plugins
+	if (!empty($extraPlugins) && count($extraPlugins)>0) {
+		$extraPlugins_str = "{name: 'extra', items: [%s]},\n";
+		$extra_icons = '';
+		foreach ($extraPlugins as $plugin) {
+			$extra_icons .= sprintf("'%s',",$plugin['button']);
+		}
+		printf($extraPlugins_str,$extra_icons);
+	}
+?>
+		]
+	});
+
+	CKEDITOR.on('instanceLoaded',function(e) {
+
+		// Retrieve textarea element of the instance, then its line-height (in px) and rows values,
+		// then apply line-height * rows (min = 6) to the inner height of the instance.
+
+		var ta = document.getElementById(e.editor.name);
+		if (ta !== undefined) {
+			var ta_rows = ta.rows;
+			var ta_line_height = parseFloat(window.getComputedStyle(ta,null).getPropertyValue('line-height'));
+			if (ta_rows > 0 && ta_line_height > 0) {
+				var ta_height = String(Math.max(ta_rows,6) * ta_line_height);
+				e.editor.resize('100%',ta_height,true);
 			}
-			?>
-		]
-	});
-
-	CKEDITOR.on('instanceReady', function(e) {
-		if ($('label[for="post_excerpt"] a img').attr('src')==dotclear.img_minus_src) {
+		}
+	});
+
+	CKEDITOR.on('instanceReady',function(e) {
+
+		if ($('label[for="post_excerpt"] a img').attr('src') == dotclear.img_minus_src) {
 			$('#cke_post_excerpt').removeClass('hide');
 		} else {
@@ -222,5 +268,5 @@
 	// @TODO: find a better way to retrieve active editor
 	for (var id in CKEDITOR.instances) {
-		CKEDITOR.instances[id].on('focus', function(e) {
+		CKEDITOR.instances[id].on('focus',function(e) {
 			$.active_editor = e.editor.name;
 		});
Index: plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php
===================================================================
--- plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php	(revision 3024)
+++ plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php	(revision 3362)
@@ -49,6 +49,8 @@
              };'.
             "dotclear.msg.img_select_title = '".html::escapeJS(__('Media chooser'))."'; ".
+            "dotclear.msg.img_select_accesskey = '".html::escapeJS(__('m'))."'; ".
             "dotclear.msg.post_link_title = '".html::escapeJS(__('Link to an entry'))."'; ".
             "dotclear.msg.link_title = '".html::escapeJS(__('Link'))."'; ".
+            "dotclear.msg.link_accesskey = '".html::escapeJS(__('l'))."'; ".
             "dotclear.msg.img_title = '".html::escapeJS(__('External image'))."'; ".
             "dotclear.msg.url_cannot_be_empty = '".html::escapeJS(__('URL field cannot be empty.'))."';".
Index: plugins/dcCKEditor/js/ckeditor/lang/af.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/af.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/af.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Karakterstel van geskakelde bron',
     	cssClasses : 'CSS klasse',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'E-posadres',
     	emailBody : 'Berig-inhoud',
Index: plugins/dcCKEditor/js/ckeditor/lang/ar.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/ar.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/ar.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'ترميز المادة المطلوبة',
     	cssClasses : 'فئات التنسيق',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'البريد الإلكتروني',
     	emailBody : 'محتوى الرسالة',
Index: plugins/dcCKEditor/js/ckeditor/lang/bg.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/bg.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/bg.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Тип на свързания ресурс',
     	cssClasses : 'Класове за CSS',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'E-mail aдрес',
     	emailBody : 'Съдържание',
Index: plugins/dcCKEditor/js/ckeditor/lang/bn.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/bn.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/bn.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'লিংক রিসোর্স ক্যারেক্টর সেট',
     	cssClasses : 'স্টাইল-শীট ক্লাস',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'ইমেইল ঠিকানা',
     	emailBody : 'মেসেজের দেহ',
Index: plugins/dcCKEditor/js/ckeditor/lang/bs.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/bs.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/bs.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Linked Resource Charset',
     	cssClasses : 'Klase CSS stilova',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'E-Mail Adresa',
     	emailBody : 'Poruka',
Index: plugins/dcCKEditor/js/ckeditor/lang/ca.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/ca.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/ca.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Conjunt de caràcters font enllaçat',
     	cssClasses : 'Classes del full d\'estil',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'Adreça de correu electrònic',
     	emailBody : 'Cos del missatge',
Index: plugins/dcCKEditor/js/ckeditor/lang/cs.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/cs.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/cs.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Přiřazená znaková sada',
     	cssClasses : 'Třída stylu',
-    	download : 'Force Download',
+    	displayText : 'Zobrazit text',
     	emailAddress : 'E-mailová adresa',
     	emailBody : 'Tělo zprávy',
Index: plugins/dcCKEditor/js/ckeditor/lang/cy.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/cy.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/cy.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Set Nodau\'r Adnodd Cysylltiedig',
     	cssClasses : 'Dosbarthiadau Dalen Arddull',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'Cyfeiriad E-Bost',
     	emailBody : 'Corff y Neges',
Index: plugins/dcCKEditor/js/ckeditor/lang/da.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/da.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/da.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Tegnsæt',
     	cssClasses : 'Typografiark',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'E-mailadresse',
     	emailBody : 'Besked',
Index: plugins/dcCKEditor/js/ckeditor/lang/de-ch.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/de-ch.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/de-ch.js	(revision 3339)
@@ -205,4 +205,5 @@
     	charset : 'Verknüpfter Ressourcenzeichensatz',
     	cssClasses : 'Formatvorlagenklasse',
+    	displayText : 'Display Text',
     	emailAddress : 'E-Mail-Adresse',
     	emailBody : 'Nachrichtentext',
@@ -247,6 +248,5 @@
     	type : 'Link-Typ',
     	unlink : 'Link entfernen',
-    	upload : 'Hochladen',
-    	download : 'Force Download'
+    	upload : 'Hochladen'
     },
     justify : 
Index: plugins/dcCKEditor/js/ckeditor/lang/de.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/de.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/de.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Verknüpfter Ressourcenzeichensatz',
     	cssClasses : 'Formatvorlagenklasse',
-    	download : 'Download erzwingen',
+    	displayText : 'Anzeigetext',
     	emailAddress : 'E-Mail-Adresse',
     	emailBody : 'Nachrichtentext',
Index: plugins/dcCKEditor/js/ckeditor/lang/el.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/el.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/el.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Κωδικοποίηση Χαρακτήρων Προσαρτημένης Πηγής',
     	cssClasses : 'Κλάσεις Φύλλων Στυλ',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'Διεύθυνση E-mail',
     	emailBody : 'Κείμενο Μηνύματος',
Index: plugins/dcCKEditor/js/ckeditor/lang/en-au.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/en-au.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/en-au.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Linked Resource Charset',
     	cssClasses : 'Stylesheet Classes',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'E-Mail Address',
     	emailBody : 'Message Body',
Index: plugins/dcCKEditor/js/ckeditor/lang/en-ca.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/en-ca.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/en-ca.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Linked Resource Charset',
     	cssClasses : 'Stylesheet Classes',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'E-Mail Address',
     	emailBody : 'Message Body',
Index: plugins/dcCKEditor/js/ckeditor/lang/en-gb.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/en-gb.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/en-gb.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Linked Resource Charset',
     	cssClasses : 'Stylesheet Classes',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'E-Mail Address',
     	emailBody : 'Message Body',
Index: plugins/dcCKEditor/js/ckeditor/lang/en.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/en.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/en.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Linked Resource Charset',
     	cssClasses : 'Stylesheet Classes',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'E-Mail Address',
     	emailBody : 'Message Body',
Index: plugins/dcCKEditor/js/ckeditor/lang/eo.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/eo.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/eo.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Signaro de la Ligita Rimedo',
     	cssClasses : 'Klasoj de Stilfolioj',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'Retpoŝto',
     	emailBody : 'Mesaĝa korpo',
Index: plugins/dcCKEditor/js/ckeditor/lang/es.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/es.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/es.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Fuente de caracteres vinculado',
     	cssClasses : 'Clases de hojas de estilo',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'Dirección de E-Mail',
     	emailBody : 'Cuerpo del Mensaje',
Index: plugins/dcCKEditor/js/ckeditor/lang/et.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/et.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/et.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Lingitud ressursi märgistik',
     	cssClasses : 'Stiilistiku klassid',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'E-posti aadress',
     	emailBody : 'Sõnumi tekst',
Index: plugins/dcCKEditor/js/ckeditor/lang/eu.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/eu.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/eu.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Estekatutako baliabide karaktere-jokoa',
     	cssClasses : 'Estilo-orriko klaseak',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'E-posta helbidea',
     	emailBody : 'Mezuaren gorputza',
Index: plugins/dcCKEditor/js/ckeditor/lang/fa.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/fa.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/fa.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'نویسه\u200bگان منبع پیوند شده',
     	cssClasses : 'کلاس\u200bهای شیوه\u200bنامه(Stylesheet)',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'نشانی پست الکترونیکی',
     	emailBody : 'متن پیام',
Index: plugins/dcCKEditor/js/ckeditor/lang/fi.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/fi.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/fi.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Linkitetty kirjaimisto',
     	cssClasses : 'Tyyliluokat',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'Sähköpostiosoite',
     	emailBody : 'Viesti',
Index: plugins/dcCKEditor/js/ckeditor/lang/fo.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/fo.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/fo.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Atknýtt teknsett',
     	cssClasses : 'Typografi klassar',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'Teldupost-adressa',
     	emailBody : 'Breyðtekstur',
Index: plugins/dcCKEditor/js/ckeditor/lang/fr-ca.js
===================================================================
--- plugins/dcCKEditor/js/ckeditor/lang/fr-ca.js	(revision 3271)
+++ plugins/dcCKEditor/js/ckeditor/lang/fr-ca.js	(revision 3339)
@@ -205,5 +205,5 @@
     	charset : 'Encodage de la cible',
     	cssClasses : 'Classes CSS',
-    	download : 'Force Download',
+    	displayText : 'Display Text',
     	emailAddress : 'Courriel',
     	emailBody : 'Corps du message',
